Skip to content
This repository has been archived by the owner. It is now read-only.

php54 referencing to libicui18n.53.dylib which doesn't exist anymore #1421

Closed
jschill opened this issue Nov 7, 2014 · 1 comment

Comments

@jschill
Copy link

commented Nov 7, 2014

Some time in an upgrade between Sept 6 and today my php54 started throwing errors. Except from running brew update/upgrade I've upgraded to Yosemite. When i try to run apachectl this is what I get:

httpd: Syntax error on line 169 of /usr/local/etc/apache2/2.4/httpd.conf: Cannot load /usr/local/Cellar/php54/5.4.33/libexec/apache2/libphp5.so into server: dlopen(/usr/local/Cellar/php54/5.4.33/libexec/apache2/libphp5.so, 10): Library not loaded: /usr/local/opt/icu4c/lib/libicui18n.53.dylib\n Referenced from: /usr/local/Cellar/php54/5.4.33/libexec/apache2/libphp5.so\n Reason: image not found

"/usr/local/opt/icu4c/lib/libicui18n.53.dylib" doesn't exist anymore, but there's a 54 instead.

I've tried reinstall pcre and php54, but no luck. Any hints?

@jschill

This comment has been minimized.

Copy link
Author

commented Nov 7, 2014

"brew switch icu4c 53.1"

@jschill jschill closed this Nov 7, 2014

@Homebrew Homebrew locked and limited conversation to collaborators Nov 7, 2014

Sign up for free to subscribe to this conversation on GitHub. Already have an account? Sign in.
Projects
None yet
1 participant
You can’t perform that action at this time.